Page MenuHomePhabricator

Add User Interface language options using TranslateWiki service
Open, HighPublicFeature

Description

Setup using https://translatewiki.net/ so that anyone can contribute translations of the User Interface into any language.
For the first version of the app we will have text completed for English and French options.

Some of the main concerns which are relevant for the project are:

Content fit:

  • Software interface messages.
  • Takes some prose which will be split into smaller parts.
  • The tool is for the use of the general public.

License:

  • GPLv2

Quality of strings

Activity and interest (releases, contact person)

Event Timeline

NavinoEvans moved this task from Backlog to Pending on the ISA board.May 13 2019, 9:52 PM
Eugene233 updated the task description. (Show Details)
Eugene233 added a subscriber: Nikerabbit.
Eugene233 added a subscriber: Eugene233.

I am not sure i have done it quite well as required, @Nikerabbit can you offer more help when you are available?

In which repository and format are the language files stored?

@Nikerabbit the repository is here IMHO I think it'll be better to store in JSON format like it works for MW extensions.

That's a GitHub mirror, it's actually hosted on Gerrit, right? I didn't see any language files there yet.

That's a GitHub mirror

Yes actually

I didn't see any language files there yet

I think that @NavinoEvans is still trying to see how we can set that up...

@Nikerabbit Do you have any ideas on how we can do this set up?

@Eugene233 I am not sure what you mean. Are you having troubles with creating the JSON files?

@Eugene233 I am not sure what you mean. Are you having troubles with creating the JSON files?

@Nikerabbit Is it done same as on MW?

Sorry, I can't help you if you are not asking clear and specific questions. I don't know what you mean with "it" or "this".

Sorry, I can't help you if you are not asking clear and specific questions. I don't know what you mean with "it" or "this".

Do we need to create the file in our application like that of Mediawiki Extensions?

Yes, you should create a JSON file for English and message documentation. This means extracting the interface strings from application source code to the JSON file. In addition you will need some code in your application to read and display the strings from the JSON files.

NavinoEvans moved this task from Pending to Backlog on the ISA board.May 25 2019, 12:43 PM
NavinoEvans changed the subtype of this task from "Task" to "Feature Request".May 25 2019, 1:17 PM

@Nikerabbit the i18n files have been created in [T224407]. Please can you provide more insight on the code which is required to read and display the messages from these files?

Eugene233 moved this task from Backlog to In progress on the ISA board.May 27 2019, 10:05 AM

There is no simple answer to that. Depending on the programming language you use, you might find existing i18n library you can use, but it might not support the json format out of the box. The other option is to build one yourself. It's quite easy to build a simple one, but you will lack in features such as fallbacks and plurals.

@Nikerabbit after T224675 we are able to mark strings in ISA for translation, generate the translation .po files with these strings ready for translations in other languages, compile and load the translations on the interface.

Are there any next steps to carry-out so that we can mark ISA for translation?

NavinoEvans triaged this task as High priority.Jun 22 2019, 12:07 PM